.sidebar {
  position: fixed;
  top: 0px;
  right: -250px;
  bottom: 0;
  width: 250px;
  background-color: #eceee9;
  z-index: 1001;
  transition: right 0.3s ease;
}

.sidebar.show {
  right: 0;
}

.sidebar ul {
  list-style: none;
  padding: 0;
}

.sidebar li {
  padding: 10px 20px;
}

.sidebar a {
  color: #232c28;
  text-decoration: none;
}

.sidebar a:hover {
  text-decoration: underline;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000;
  display: none;
}

.sidebar.show + .overlay {
  display: block;
}
